ED(1)

NAAM
ed - regel georiënteerde tekstverwerker

SAMENVATTING
ed [opties] [bestand]

BESCHRIJVING
GNU ed is een regel georiënteerde tekstverwerker. Hij wordt gebruikt voor het maken, tonen, veranderen en op andere manieren manipuleren van tekstbestanden, zowel interactief als via shell scripts. Een beperkte versie van ed, ´red´, kan alleen bestanden in de huidige map bewerken en kan geen shell commando´s uitvoeren. ed is de 'standaard' tekstverwerker in de zin dat het de originele tekstverwerker was voor Unix en dus overal beschikbaar. Echter, voor de meeste toepassingen, is ed opgevolgd door scherm georiënteerde tekstverwerkers als GNU Emacs of GNU Moe.

OPTIES

-h, --help
    toon de helptekst en stop

-V, --version
    toon programmaversie en stop

-E, --extended-regexp
    gebruik uitgebreide reguliere expressies

-G, --traditional
    draai in compatibiliteit modus.

-l, --loose-exit-status
    beëindig met 0 status zelfs als een commando faalt

-p, --prompt=TEKST
    gebruik TEKST als de interactieve vraag

-r, --restricted
    draai in beperkte modus

-s, --quiet, --silent
    onderdruk diagnoses, byte teller en de '|' vraag

-v, --verbose
    uitgebreide meldingen weergeven; gelijk aan het opdracht 'H'

Begin het verwerken door 'bestand' te lezen als gegeven. Als 'bestand' begint met een '|' lees dan de uitvoer van een shell commando.

Afsluit status: 0 bij een normale beëindiging, 1 voor omgevings problemen (bestand niet gevonden, ongeldige vlaggen, I/O fouten, etc.), 2 geeft aan dat het invoer bestand fout of ongeldig was, 3 voor een interne consistentie fout (b.v. een bug) die ervoor zorgde dat ´ed' panikeerde.

RAPPORTEREN VAN BUGS
Rapporteer gebreken in het programma aan bug-ed@gnu.org
Webpagina van Ed: http://www.gnu.org/software/ed/ed.html
Algemene hulp bij gebruik van GNU-software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 1994 Andrew L. Moore.
Copyright © 2021 Antonio Diaz Diaz. Licentie GPLv3+: GNU GPL version 3 of later <http://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
De volledige documentatie voor ed wordt bijgehouden als een Texinfo-handleiding. Als de programma's info en ed correct op uw systeem zijn geïnstalleerd, geeft u de opdracht

    info ed

toegang tot de volledige handleiding.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com> Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID. Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.